apiVersion: apps/v1
kind: Deployment
metadata:
  name: deployment-ms-coutries
spec:
  replicas: 1
  selector:
    matchLabels:
      app: dev-ms-coutries
  template:
    metadata:
      labels:
        app: dev-ms-coutries
    spec:
      containers:
      - name: container-ms-coutries
        image: tsalvador/ms-countries:v1
        resources:
          limits:
            memory: "1024Mi"
            cpu: "500m"
        ports:
        - containerPort: 80
---
apiVersion: v1
kind: Service
metadata:
  name: service-loadbalance
spec:
  selector:
    app: dev-ms-coutries
  ports:
  - port: 80
    targetPort: 8080
  type: LoadBalancer